JTS Topology Suite - v 1.12

## com.vividsolutions.jts.operation
Class BoundaryOp

    java.lang.Object
      com.vividsolutions.jts.operation.BoundaryOp

    public class BoundaryOp

extends java.lang.Object

Computes the boundary of a `Geometry`. Allows specifying the `BoundaryNodeRule` to be used. This operation will always return a `Geometry` of the appropriate dimension for the boundary (even if the input geometry is empty). The boundary of zero-dimensional geometries (Points) is always the empty `GeometryCollection`.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`BoundaryOp(Geometry geom)`
`BoundaryOp(Geometry geom, BoundaryNodeRule bnRule)`

Method Summary
`Geometry` `getBoundary()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundaryOp

    public BoundaryOp(Geometry geom)

### BoundaryOp

    public BoundaryOp(Geometry geom,
                      BoundaryNodeRule bnRule)

Method Detail

### getBoundary

    public Geometry getBoundary()

JTS Topology Suite - v 1.12